package com.xintong.visualinspection.service;

import com.xintong.visualinspection.bean.Constant;

import java.util.List;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface ConstantService {
    public List<Constant> getAll();
    public Constant getById(Long id);
    public List<Constant> getByFlag(String flag);
    public List<Constant> getByName(String flagName);
    public Constant getByFlagAndValue(Constant constant);
    public void insert(Constant constant);
    public void update(Constant constant);
    public void delete(Long id);
}
